Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.net
Class TransportAssociationHolder

    java.lang.Object
      |
      +--org.openorb.net.TransportAssociationHolder

public class TransportAssociationHolder
extends java.lang.Object

Holder for binding information. Each client binding and server request contains an instance.

Version:
  $Revision: 1.6 $ $Date: 2002/06/28 08:59:05 $
Author:
  Chris Wood

Field Summary
`static java.lang.Object` | `EMPTY_ASSOCIATION`

Constructor Summary
`TransportAssociationHolder()`

Method Summary
`java.lang.Object` | `getValue()`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_ASSOCIATION

    public static final java.lang.Object EMPTY_ASSOCIATION

Constructor Detail

### TransportAssociationHolder

    public TransportAssociationHolder()

Method Detail

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object value)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD